//
// Created by sebastian on 06.08.26.
//

#ifndef COLORRACE_SIMPLETEXTUREDMESH_H
#define COLORRACE_SIMPLETEXTUREDMESH_H
#include "Mesh.h"
#include "utils/openglWrapper/openglObjects/Vao.h"

namespace engine {
    class SimpleTexturedMesh : public engine::Mesh{
    public:
        SimpleTexturedMesh(std::unique_ptr<Vao> vao, int vertexCount) : m_vao(std::move(vao)), vertexCount(vertexCount) {}
        void bind() const override;
        void unbind() const override;
        void draw() const override;
    private:
        std::unique_ptr<Vao> m_vao;
        int vertexCount;
    };
}



#endif //COLORRACE_SIMPLETEXTUREDMESH_H
